# classes/phing/types/TokenReader.php

## \TokenReader
jump to top

Abstract class for TokenReaders.

author
  Manuel Holtgewe
package
  phing.filters.util
version
  $Revision: 526 $

### Properties

`\Project $project= ''`

Reference to the Project the TokenReader is used in.

Details

Type
  \Project

### Methods

`__construct( object $project ) :`
Constructor
Parameters

Name | Type | Description
--- | --- | ---
$project | object | Reference to the project the TokenReader is used in.

`log( $level, $msg ) :`
Utility function for logging
Parameters

Name | Type | Description
--- | --- | ---
$level |  |
$msg |  |

`readToken( ) : string`
abstractReads the next token from the Reader
Returns

Type | Description
--- | ---
string |

Details

throws
  - On error

Documentation was generated by DocBlox 0.13.1.